Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000863KdenliveUser Interfacepublic2009-05-25 22:192009-05-30 12:01
Reporterpbeichert 
Assigned To 
PrioritynormalSeverityfeatureReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.7.3 
Target VersionFixed in Version0.7.4 
Summary0000863: crash using dvd wizard
DescriptionSystem: Kubuntu 9.04 with kdenlive 0.7.3

I used the dvd-wizard with a single mpeg file. On the last page, the program states, that it will build the iso-image. It seems, like if nothing will happen, although the iso-image is created in the background.

The finish-Button is active, but if you press it before the iso-image is ready, kdenlive crashes with the stack-trace below.
As an improvement, I would suggest to deactivate the finish-Button, until the iso-image is ready. Additionally a small progress bar which idicates, that something is done in the background would be nice.

P.S. thanks for providing kdenlive. You are doing a great job.
Additional InformationAnwendung: Kdenlive (kdenlive), Signal SIGSEGV
[Current thread is 0 (LWP 5489)]

Thread 4 (Thread 0xaf2c8b90 (LWP 5498)):
#0 0xb7ee6430 in __kernel_vsyscall ()
#1 0xb64c0412 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
0000002 0xb65c7344 in pthread_cond_timedwait () from /lib/tls/i686/cmov/libc.so.6
0000003 0xb7ec4a09 in mlt_consumer_get_frame () from /usr/lib/libmlt.so.1
0000004 0xb64bd9ce in pthread_mutex_lock () from /lib/tls/i686/cmov/libpthread.so.0
0000005 0x00000000 in ?? ()

Thread 3 (Thread 0xaeac7b90 (LWP 5499)):
#0 0xb7ee6430 in __kernel_vsyscall ()
#1 0xb64c00e5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
0000002 0xb65c72ed in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
0000003 0xb321fd2c in ?? () from /usr/lib/mlt/libmltsdl.so
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

Thread 2 (Thread 0xadc93b90 (LWP 5501)):
#0 0xb7ee6430 in __kernel_vsyscall ()
#1 0xb65b07b1 in select () from /lib/tls/i686/cmov/libc.so.6
0000002 0xb7273380 in ?? () from /usr/lib/libQtCore.so.4
0000003 0xb71a196e in ?? () from /usr/lib/libQtCore.so.4
0000004 0xb64bc4ff in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
0000005 0xb65b849e in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 1 (Thread 0xb5c8a700 (LWP 5489)):
[KCrash Handler]
0000006 0xb71e8f6a in QString::operator= () from /usr/lib/libQtCore.so.4
0000007 0xb72310fd in QIODevice::close () from /usr/lib/libQtCore.so.4
0000008 0xb7232b24 in QProcess::close () from /usr/lib/libQtCore.so.4
0000009 0x08339825 in DvdWizard::~DvdWizard ()
0000010 0xb6db7480 in QDialog::exec () from /usr/lib/libQtGui.so.4
0000011 0x080caf40 in MainWindow::slotDvdWizard ()
0000012 0x080ea17c in MainWindow::qt_metacall ()
0000013 0xb72abca8 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
0000014 0xb72ac0e0 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
0000015 0xb6896891 in QAction::triggered () from /usr/lib/libQtGui.so.4
0000016 0xb6897e0f in QAction::activate () from /usr/lib/libQtGui.so.4
0000017 0xb6d1201c in ?? () from /usr/lib/libQtGui.so.4
0000018 0xb6d1876b in ?? () from /usr/lib/libQtGui.so.4
0000019 0xb6d19242 in QMenu::mouseReleaseEvent () from /usr/lib/libQtGui.so.4
0000020 0xb7d5f7e5 in KMenu::mouseReleaseEvent () from /usr/lib/libkdeui.so.5
0000021 0xb68f3b43 in QWidget::event () from /usr/lib/libQtGui.so.4
0000022 0xb6d1b629 in QMenu::event () from /usr/lib/libQtGui.so.4
0000023 0xb689ce9c in QApplicationPrivate::notify_helper () from /usr/lib/libQtGui.so.4
0000024 0xb68a5b11 in QApplication::notify () from /usr/lib/libQtGui.so.4
0000025 0xb7c7894d in KApplication::notify () from /usr/lib/libkdeui.so.5
0000026 0xb7295a3b in QCoreApplication::notifyInternal () from /usr/lib/libQtCore.so.4
0000027 0xb68a4b7e in QApplicationPrivate::sendMouseEvent () from /usr/lib/libQtGui.so.4
0000028 0xb6914c06 in ?? () from /usr/lib/libQtGui.so.4
0000029 0xb6913ca7 in QApplication::x11ProcessEvent () from /usr/lib/libQtGui.so.4
0000030 0xb693ec6a in ?? () from /usr/lib/libQtGui.so.4
0000031 0xb5ff0b88 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
0000032 0xb5ff40eb in ?? () from /usr/lib/libglib-2.0.so.0
0000033 0xb5ff4268 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
0000034 0xb72c1438 in QEventDispatcherGlib::processEvents () from /usr/lib/libQtCore.so.4
0000035 0xb693e365 in ?? () from /usr/lib/libQtGui.so.4
0000036 0xb729406a in QEventLoop::processEvents () from /usr/lib/libQtCore.so.4
0000037 0xb72944aa in QEventLoop::exec () from /usr/lib/libQtCore.so.4
0000038 0xb7296959 in QCoreApplication::exec () from /usr/lib/libQtCore.so.4
0000039 0xb689cd17 in QApplication::exec () from /usr/lib/libQtGui.so.4
0000040 0x080ca8cc in main ()

TagsNo tags attached.
Build/Install MethodDistribution package
Attached Files

- Relationships

-  Notes
(0002912)
administrator (administrator)
2009-05-25 23:41

Should be fixed in svn rev 3420
(0002918)
gsking1 (reporter)
2009-05-26 01:17

I'm not the reporter, but seems to work fine for me now. I like the reporter's idea of deactivating the Finish button until until the iso-image is ready.

- Issue History
Date Modified Username Field Change
2009-05-25 22:19 pbeichert New Issue
2009-05-25 22:19 pbeichert Build/Install Method => Distribution package
2009-05-25 23:41 administrator Note Added: 0002912
2009-05-25 23:41 administrator Status new => feedback
2009-05-26 01:17 gsking1 Note Added: 0002918
2009-05-28 15:54 administrator Status feedback => resolved
2009-05-28 15:54 administrator Resolution open => fixed
2009-05-28 15:54 administrator Fixed in Version => Recent git
2009-05-30 11:55 administrator Fixed in Version Recent git => 0.7.4
2009-05-30 12:01 administrator Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker